org.apache.ignite

## Interface PersistenceMetrics

All Known Subinterfaces:
  PersistenceMetricsMXBean

All Known Implementing Classes:
  DataStorageMetricsAdapter

Deprecated.
Check the `ReadOnlyMetricRegistry` with "name=io.datastorage" instead.

    @Deprecated
    public interface PersistenceMetrics

Persistence metrics used to obtain statistics on persistence.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`long` `getLastCheckpointCopiedOnWritePagesNumber()` Deprecated. Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.
`long` `getLastCheckpointDataPagesNumber()` Deprecated. Gets the number of data pages written during the last checkpoint.
`long` `getLastCheckpointFsyncDuration()` Deprecated. Gets the duration of the sync phase of the last checkpoint in milliseconds.
`long` `getLastCheckpointingDuration()` Deprecated. Gets the duration of the last checkpoint in milliseconds.
`long` `getLastCheckpointLockWaitDuration()` Deprecated. Gets the duration of last checkpoint lock wait in milliseconds.
`long` `getLastCheckpointMarkDuration()` Deprecated. Gets the duration of last checkpoint mark phase in milliseconds.
`long` `getLastCheckpointPagesWriteDuration()` Deprecated. Gets the duration of last checkpoint pages write phase in milliseconds.
`long` `getLastCheckpointTotalPagesNumber()` Deprecated. Gets the total number of pages written during the last checkpoint.
`int` `getWalArchiveSegments()` Deprecated.
`float` `getWalFsyncTimeAverage()` Deprecated. Gets the average WAL fsync duration in microseconds over the last time interval.
`float` `getWalLoggingRate()` Deprecated. Gets the average number of WAL records per second written during the last time interval.
`float` `getWalWritingRate()` Deprecated. Gets the average number of bytes per second written during the last time interval.

### Method Detail

#### getWalLoggingRate

    float getWalLoggingRate()

Deprecated.
Gets the average number of WAL records per second written during the last time interval.

The length of time interval is configured via `PersistentStoreConfiguration.setRateTimeInterval(long)` configurartion property. The number of subintervals is configured via `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.

Returns:
  The average number of WAL records per second written during the last time interval.

#### getWalWritingRate

    float getWalWritingRate()

Deprecated.
Gets the average number of bytes per second written during the last time interval. The length of time interval is configured via `PersistentStoreConfiguration.setRateTimeInterval(long)` configurartion property. The number of subintervals is configured via `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.

Returns:
  The average number of bytes per second written during the last time interval.

#### getWalArchiveSegments

    int getWalArchiveSegments()

Deprecated.

Returns:
  The current number of WAL segments in the WAL archive.

#### getWalFsyncTimeAverage

    float getWalFsyncTimeAverage()

Deprecated.
Gets the average WAL fsync duration in microseconds over the last time interval.

The length of time interval is configured via `PersistentStoreConfiguration.setRateTimeInterval(long)` configurartion property. The number of subintervals is configured via `PersistentStoreConfiguration.setSubIntervals(int)` configuration property.

Returns:
  The average WAL fsync duration in microseconds over the last time interval.

#### getLastCheckpointingDuration

    long getLastCheckpointingDuration()

Deprecated.
Gets the duration of the last checkpoint in milliseconds.

Returns:
  Total checkpoint duration in milliseconds.

#### getLastCheckpointLockWaitDuration

    long getLastCheckpointLockWaitDuration()

Deprecated.
Gets the duration of last checkpoint lock wait in milliseconds.

Returns:
  Checkpoint lock wait time in milliseconds.

#### getLastCheckpointMarkDuration

    long getLastCheckpointMarkDuration()

Deprecated.
Gets the duration of last checkpoint mark phase in milliseconds.

Returns:
  Checkpoint mark duration in milliseconds.

#### getLastCheckpointPagesWriteDuration

    long getLastCheckpointPagesWriteDuration()

Deprecated.
Gets the duration of last checkpoint pages write phase in milliseconds.

Returns:
  Checkpoint pages write phase in milliseconds.

#### getLastCheckpointFsyncDuration

    long getLastCheckpointFsyncDuration()

Deprecated.
Gets the duration of the sync phase of the last checkpoint in milliseconds.

Returns:
  Checkpoint fsync time in milliseconds.

#### getLastCheckpointTotalPagesNumber

    long getLastCheckpointTotalPagesNumber()

Deprecated.
Gets the total number of pages written during the last checkpoint.

Returns:
  Total number of pages written during the last checkpoint.

#### getLastCheckpointDataPagesNumber

    long getLastCheckpointDataPagesNumber()

Deprecated.
Gets the number of data pages written during the last checkpoint.

Returns:
  Total number of data pages written during the last checkpoint.

#### getLastCheckpointCopiedOnWritePagesNumber

    long getLastCheckpointCopiedOnWritePagesNumber()

Deprecated.
Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.

Returns:
  Total number of pages copied to a temporary checkpoint buffer during the last checkpoint.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022